
<div class="card">
  <div class="ibox-form-container mb-0">

    <div class="ibox-title p-2">
      <div class="ibox-title-child " style="display: inline-block"><i class="ri-contacts-line title_icone"></i>
        {{"BREADCRUMBS.INCIDENT_DETAILS.TITLE"|translate}}</div>
        <button  mat-mini-fab class="menu-add ml-2   " aria-label="Example icon-button with a menu"
        (click)="back()">
        <mat-icon matTooltip="back" class="menu-add-icon menu-add-user"><i
                class="ri-arrow-right-line"></i></mat-icon>
    </button>
       
    </div>
  
    <div class="row p-2">
  
      <div class="col-lg-7 col-12">
  
        <div class="p-2">
  
          <form [formGroup]="incidentForm" (ngSubmit)="onSubmit()" autocomplete="off">
  
            <fieldset class="border form">
  
              <div class="row">
  
                <div class="col-md-6">
                  <label>{{'FIELD.INCIDENT.OBJET'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="objet">
                  <div *ngIf="incidentForm?.get('objet')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                  <label>{{'FIELD.INCIDENT.DESCRIPTION'|translate}}</label>
                  <textarea rows="3" type="text" class="form-control form-control-sm" formControlName="description">
                  </textarea>
                  <div *ngIf="incidentForm?.get('description')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-md-6">
                  <label>{{'FIELD.INCIDENT.TYPE'|translate}}</label>
                  <select class="form-control form-control-sm" formControlName="type">
                    <option [ngValue]="''" selected>{{'FIELD.PLEASE.SELECT'|translate}}</option>
                    <option [ngValue]="item?.code" *ngFor="let item of typeTicketsList">{{item?.value}}</option>
                  </select>
                  <div *ngIf="incidentForm?.get('type')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                  <label>{{'FIELD.INCIDENT.CODE'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="code">
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-md-6">
                  <label>{{'FIELD.INCIDENT.ORIGINE'|translate}}</label>
                  <select class="form-control form-control-sm" formControlName="origine">
                    <option [ngValue]="''" selected>{{'FIELD.PLEASE.SELECT'|translate}}</option>
                    <option [ngValue]="item?.code" *ngFor="let item of originesList">{{item?.value}}</option>
                  </select>
                  <div *ngIf="incidentForm?.get('origine')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                  <label>{{'FIELD.INCIDENT.AFFECTATION'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="affectation" maxlength="24">
                  <div *ngIf="incidentForm?.get('affectation')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-md-6">
                  <label>{{'FIELD.INCIDENT.COMPTE'|translate}}</label>
                  <input type="text" class="form-control form-control-sm" formControlName="compte">
                  <div *ngIf="incidentForm?.get('compte')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                  <label>{{'FIELD.INCIDENT.PRIORITE'|translate}}</label>
                  <select class="form-control form-control-sm" formControlName="priorite">
                    <option [ngValue]="''" selected>{{'FIELD.PLEASE.SELECT'|translate}}</option>
                    <option [ngValue]="item?.value?.toUpperCase()"
                            *ngFor="let item of prioritesList">{{item?.value}}</option>
                  </select>
                  <div *ngIf="incidentForm?.get('priorite')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-md-6">
                  <label>{{'FIELD.INCIDENT.LINKED_TO'|translate}}</label>
                  <select class="form-control form-control-sm" formControlName="contact">
                    <option [ngValue]="''" selected>{{'FIELD.PLEASE.SELECT'|translate}}</option>
                    <option [ngValue]="item?.codeContact"
                            *ngFor="let item of contactsList">{{item?.codeContact}}</option>
                  </select>
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                  <label>{{'FIELD.INCIDENT.STATUT'|translate}}</label>
                  <ngx-select [items]="statusList" [optionValueField]="'code'" [optionTextField]="'value'"
                              formControlName="statut" [placeholder]="'FIELD.TASK.STATUT'|translate" size='small' ngDefaultControl>
                  </ngx-select>
                  <div *ngIf="incidentForm?.get('statut')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-md-6">
                    <label>{{'FIELD.INCIDENT.DATE_DECLARATION'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="dateDeclaration">
                </div>
  
                <div class="col-md-6 mt-md-0 mt-2">
                    <label>{{'FIELD.INCIDENT.DATE_MAJ'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="dateMaj">
                </div>
  
              </div>
  
              <div class="row my-2">
  
                <div class="col-12">
                    <label>{{'FIELD.INCIDENT.PIECE_JOINTE'|translate}}</label>
                    <div class="p-0">
                      <app-attachement [incidentCode]="incidentCode" [hideHeader]="true"></app-attachement>
                    </div>
                </div>
  
              </div>
  
              <div class="p-2 text-right">
                <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
                  <i class="ri-save-line" *ngIf="formType==='EDIT'"></i>
                  <i class="ri-edit-line" *ngIf="formType==='VIEW'"></i>
                </button>
              </div>
  
            </fieldset>
  
          </form>
  
          <form class="mt-2" [formGroup]="commentForm" (ngSubmit)="addComment()" autocomplete="off">
  
            <fieldset class="border form">
  
              <div class="row my-2">
  
                <div class="col-12">
                  <label>{{'FIELD.INCIDENT.COMMENT'|translate}}</label>
                  <textarea rows="3" class="form-control form-control-sm" formControlName="comment"
                            [placeholder]="'FIELD.PLEASE.COMMENT'|translate"></textarea>
                  <div *ngIf="commentForm?.get('comment')?.invalid && showValidationMsgs" class="text-danger">
                    <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                  </div>
                </div>
  
              </div>
  
              <div class="p-2 text-right">
                <button [disabled]="loadingComment" type="submit" class="submit-button btn btn-sm"
                        [title]="'FIELD.BUTTONS.SAVE'|translate">
                <i class="ri-save-line"></i></button>
              </div>
  
            </fieldset>
  
          </form>
  
        </div>
  
      </div>
  
      <div class="col-lg-5 col-12 mt-3 mt-lg-0">
  
        <div class="p-2">
  
          <fieldset class="border form">
  
            <ul class="nav nav-tabs" id="myTab-1" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="comments-tab" data-toggle="tab" href="#comments" role="tab"
                   aria-controls="comments" aria-selected="true">{{'BREADCRUMBS.INCIDENT_DETAILS.COMMENTS'|translate}}</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="history-tab" data-toggle="tab" href="#history" role="tab"
                   aria-controls="history" aria-selected="false">{{'BREADCRUMBS.INCIDENT_DETAILS.HISTORY'|translate}}</a>
              </li>
            </ul>
  
            <div class="tab-content">
              <div class="tab-pane fade show active" id="comments" role="tabpanel" aria-labelledby="comments-tab">
                <app-comment-list [commentList]="commentsList" [loading]="loadingComment"></app-comment-list>
              </div>
  
              <div class="tab-pane fade" id="history" role="tabpanel" aria-labelledby="history-tab">
                <app-history-list [histoListInput]="histoIncidentList" [loading]="loadingHistory"></app-history-list>
              </div>
            </div>
  
          </fieldset>
  
        </div>
  
      </div>
  
    </div>
  
  </div>
</div>

